<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Velocity Render for WCM</title>
<style type="text/css">
* {
	font-family:Arial,Helvetica, sans-serif;
}
code {
	font-family: monospace;
	font-size: small;
	background-color:#efefef;
}

</style>
</head>
<body>

	<h1>Velocity Render for WCM v1.0.0</h1>

	<p>
		A custom plugin that integrates the <a
			href="http://velocity.apache.org/engine/index.html" target="_blank">Apache
			Velocity Engine</a> into IBM Web Content Manager.
	</p>

	<p>
		For additional usage instructions, see the <a
			href="http://velocity.apache.org/engine/releases/velocity-1.7/user-guide.html"
			target="_blank">Apache Velocity User Guide</a>.
	</p>

	<h2>Usage Example</h2>

	<p><code>[Plugin:Velocity lib=&quot;Web Content&quot;
		cmpnt=&quot;HTML - My Velocity Template" vars=&quot;name=Velocity |
		project=Jakarta&quot;]</code></p>

	<div>
		<strong>Tag Attributes Defined:</strong><br/>
		<ul>
			<li>lib - the name of the WCM library in which the given HTML component can
				be found. This attribute is not required, but it is highly
				recommended.</li>
			<li>cmpnt - an HTML component containing VTL (Velocity Template
				Language).</li>
			<li>vars - one or more key/value pairs representing variables
				that will be placed into the Velocity context. Any variable placed
				into the velocity context can then be referenced within the template
				using $varName. A pair is defined by the variable name, and equals
				operator, and then the value of the variable. When more than one pair
				is specified, they should be delimited by the pipe character: | .
				Spaces before or after the variable names or values and spaces before
				or after the delimiter are ignored.</li>
		</ul>
	</div>
	
	<h2>A Quick Test Case</h2>
	<p>You can test the plugin in WCM by creating two HTML components. First, create the following HTML Component:</p>
	
	<p>
	<strong>HTML - Velocity Render Plugin Test</strong><br/>
	HTML Element contents:<br/><br/>
	<code>[Plugin:Velocity lib="Web Content" cmpnt="HTML - My Velocity Template" vars="name=Velocity|project=Jakarta"]</code>
	</p>
	
	<p>Next create the HTML component that it references, which represents the Velocity template written in VTL:<br/>
	<strong>HTML - My Velocity Template</strong><br/>
	HTML Element contents:<br/><br/>
	<code>We are using $project $name to render this.</code>
	</p>
	
</body>
</html>